Get salesInvoices (v1.0)

Retrieve the properties and relationships of a sales object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET businesscentralPrefix/companies({id})/salesInvoices({id})

Request headers (v1.0)

HeaderValue
AuthorizationBearer {token}. Required.

Request body (v1.0)

Do not supply a request body for this method.

Response (v1.0)

If successful, this method returns a 200 OK response code and a salesInvoices object in the response body.

Example (v1.0)

Request

Here is an example of the request.

GET https://{businesscentralPrefix}/api/v1.0/companies({id})/salesInvoices({id})

To get more data for a salesInvoice, use expand:


**Response**

Here is an example of the response.

> [!NOTE]
>   The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

```json
{
  "id": "id-value",
  "number": "1009",
  "invoiceDate": "2015-12-31",
  "dueDate": "2016-01-31",
  "customerPurchaseOrderReference": "",
  "customerId": "customerId-value",
  "contactId": "",
  "customerNumber": "GL00000008",
  "customerName": "GL00000008",
  "billingPostalAddress": {
    "street": "",
    "city": "",
    "state": "",
    "countryLetterCode": "",
    "postalCode": ""
  },
  "currencyId": "currencyId-value",
  "currencyCode": "GBP",
  "orderId": "id-value",
  "orderNumber": "",
  "paymentTermsId": "3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668",
  "shipmentMethodId": "shipmentMethodId-value",
  "shipmentMethod": "",
  "salesperson": "",
  "pricesIncludeTax": false,
  "discountAmount": 0,
  "discountAppliedBeforeTax": true,
  "totalAmountExcludingTax": 6825.6,
  "totalTaxAmount": 682.56,
  "totalAmountIncludingTax": 7508.16,
  "status": "Draft",
  "lastModifiedDateTime": "2017-03-17T19:02:22.043Z"
}

Tips for working with the APIs

Sales Invoice Create Sales Invoice Update Sales Invoice Delete Sales Invoice